/***********************************************************************/
/*                                                                     */
/*  FILE        :rc8.h                                                 */
/*  DATE        :26.12.08                                              */
/*  COPYRIGHT   :Copyright (C) 2008 by Thomas Hochgtz                 */
/*                                                                     */
/***********************************************************************/
      
#ifndef _R8C_H_
#define _R8C_H_     


//=============== MAIN =============
void              EnableMainClock();
void              EnableInterrupt();

void              Delay( unsigned int micros );
void              DelayMs( unsigned int millis );


//=============== UART0 ============
void              InitUART0();
void              SendUART0( unsigned char data );
char              SendTryUART0( unsigned char data );
unsigned char     ReceiveUART0();
unsigned char     ReceiveTryUART0();
#define			  CheckReceiveUART0		ir_s0ric


//=============== UART1 ============
void              InitUART1();
void              SendUART1( unsigned char data );
char              SendTryUART1( unsigned char data );
unsigned char     ReceiveUART1();
unsigned char     ReceiveTryUART1();
#define			  CheckReceiveUART1		ir_s1ric



#endif

